Having issues upgrading c5c to 2.8.1 ptp

Hello Guys
I am having issues upgrading used c5c I got from swg inc to 2.8.1 ptp currently I have 2.3.3 on it how do I fix this issue?

What type of issues? What method are you using to update, the cloud dashboard or directly in the device?

Already got it solved:
on 2.3.3 you have to go to 2.5.2 then to 2.8.1 mimosa is just like ubnt firmware you just cant skip firmwares to get the issue fix

You can skip, but there are certain firmwares you have to hit along the way depending on where you are coming from and going to.

William
no you can not I have tried that because when you go from 2.3.3 to 2.8.1 you will get invalid firmware image error

I’m a bit late here, but yeah @Tim7 is correct. Upgrade to 2.5.1 or 2.5.2 and then to 2.8.1. Its a huge firmware jump from 2.3.3 to 2.8.1 and will not work, as experienced above.